This API enables the authenticated user to send a direct message to a specific LinkedIn profile by providing the recipient's profile ID, the sender's own profile ID, and the message content.
The profile_id is a unique identifier used by LinkedIn to distinguish individual user profiles. On WeLink, you can obtain the profile_id by calling the /api/v1/get_profile_details API. In the response of this API, the field profile_id is provided. This value should be used as the profile_id when making requests to other WeLink APIs that require a LinkedIn profile reference.
This API enables the authenticated user to send a direct message to a specific LinkedIn profile by providing the recipient's profile ID, the sender's own profile ID, and the message content.
The profile_id is a unique identifier used by LinkedIn to distinguish individual user profiles. On WeLink, you can obtain the profile_id by calling the /api/v1/get_profile_details API. In the response of this API, the field profile_id is provided. This value should be used as the profile_id when making requests to other WeLink APIs that require a LinkedIn profile reference.
POST /api/v1/send_message_to_sales_navigator_profile
This API allows the authenticated user to send a message to a specific LinkedIn Sales Navigator profile by providing the recipient's profile ID, the message content, and the subject of the message. The sales_profile_id parameter should be the LinkedIn Sales Navigator profile ID.
This API enables the authenticated user to send a direct message to a specific LinkedIn profile from a recruiter linkedin account by providing the recipient's profile ID, the sender's own profile ID, and the message content.
It acts as an conversation starter and a inmail message request. Once initiated, all subsequent interactions must use the returned thread_id. The recipient can either accept by replying or decline the request; if declined, the sender is restricted from further messaging. However, if the recipient later initiates a message to the sender, the conversation is unlocked, and the sender's ability to reply is restored.
Recruiter Corporate Follow-up Support: You can now schedule automated follow-up messages using the optional followup object. This allows configuring a message, subject, and a schedule with a duration and timezone. Note that follow-up scheduling is subject to strict LinkedIn limits: the duration must be between 3 and 28 days (P3D to P28D) or 1 and 4 weeks (P1W to P4W) in ISO 8601 notation, and days and weeks cannot be combined (e.g., P1W3D is invalid).
Limited to Recruiter Corporate
Follow-up message scheduling is limited to Recruiter Corporate accounts only. Attempting to use this feature with standard Recruiter accounts will result in an error.
Once a follow-up message is scheduled, it can be updated or canceled using:
accountIdstringrequiredThe unique identifier of the WeLink account.
contract_idstringrequiredThe contract identifier for Recruiter accounts.
profile_idstringrequiredThe unique identifier of the LinkedIn profile.
messagestringrequiredThe content of the message to be sent.
signaturestringrequiredCustom signature to append to messages.
subjectstringrequiredThe subject line of the message.
visibilitystringDetermines whether the message is visible to other Recruiter corporate users within the same contract. Accepts PUBLIC or PRIVATE. Defaults to PRIVATE
subjectstringrequiredThe subject line of the message.
scheduleobjectrequiredScheduling details for the follow-up message.
iso_durationstringrequiredISO 8601 duration string for scheduling follow-up messages. Subject to a strict LinkedIn limit, the duration must be 3 to 28 days ('P3D' to 'P28D') or 1 to 4 weeks ('P1W' to 'P4W'). Mixing days and weeks (e.g., 'P1W3D') is not supported.
timezonetimezonerequiredTimezone string for scheduling follow-up messages (e.g. 'America/New_York').